<template>
  <dl
    data-cid="{ BhBizmiscDetailsUi }"
    class="[ grid grid-cols-1 gap-x-4 gap-y-8 ][ sm:grid-cols-3 sm:pr-1 ]"
  >
    <bh-detail-ui term="Data" class="sm:col-span-1">
      <time :datetime="bizcard.date.isoDate">
        {{ bizcard.date.formattedDate }}
      </time>
    </bh-detail-ui>

    <bh-detail-ui term="Font" class="sm:col-span-2">
      <a
        :href="bizcard.details.link"
        target="_blank"
        rel="nofollow noopener"
        class="[ font-medium ][ text-indigo-600 hover:text-indigo-500 ][ transition duration-150 ease-in-out ]"
      >
        <span class="block truncate">{{ bizcard.details.link }}</span>
      </a>
    </bh-detail-ui>

    <bh-detail-ui term="Descripció" class="max-w-measure sm:col-span-3">
      {{ bizcard.details.description }}
    </bh-detail-ui>

    <!-- prettier-ignore -->
    <bh-detail-ui v-if="bizcard.details.notes" term="Observacions" class="max-w-measure sm:col-span-3">
      {{ bizcard.details.notes }}
    </bh-detail-ui>

    <!-- prettier-ignore -->
    <bh-detail-ui v-if="bizcard.details.attachments.length" term="Adjunts" class="sm:col-span-3">
      <bh-attachment-list-ui :attachments="bizcard.details.attachments" />
    </bh-detail-ui>
  </dl>
</template>

<script>
export default {
  name: 'BhBizmiscDetailsUi',
  props: {
    bizcard: {
      type: Object,
      default: () => ({}),
    },
  },
};
</script>
